package pl.axit.dojo;

import java.util.Map.Entry;
import java.util.NavigableMap;
import java.util.TreeMap;

public class RomanNumerals {

	private TreeMap<Integer, String> romanNumbers = new TreeMap<Integer, String>();

	public RomanNumerals() {
		romanNumbers.put(1, "I");
		romanNumbers.put(4, "IV");
		romanNumbers.put(5, "V");
		romanNumbers.put(100, "C");
		romanNumbers.put(90, "XC");
		romanNumbers.put(9, "IX");
	}

	public String toRoman(int number) {

		if (number > 3999 || number <= 0) {
			throw new IllegalArgumentException();
		}

		String result = "";
		NavigableMap<Integer, String> descendingMap = romanNumbers
				.descendingMap();
		for (Entry<Integer, String> romanNumber : descendingMap.entrySet()) {
			int value = romanNumber.getKey();
			while (number >= value) {
				result += romanNumber.getValue();
				number -= value;
			}
		}
		return result;
	}
}
