package pl.axit.dojo;

import static org.junit.Assert.assertEquals;

import org.junit.Before;
import org.junit.Test;

public class RomanNumeralsTest {

	String number = "I";

	private RomanNumerals romanNumerals;

	@Before
	public void SetUp() {
		romanNumerals = new RomanNumerals();
	}

	@Test(expected = IllegalArgumentException.class)
	public void shouldThrowExceptionWhenArgTooBig() {
		romanNumerals.toRoman(4000);
	}

	@Test(expected = IllegalArgumentException.class)
	public void shouldThrowExceptionWhenArgTooSmall() {
		romanNumerals.toRoman(-1);
	}

	@Test(expected = IllegalArgumentException.class)
	public void shouldThrowExceptionWhenArgIsZero() {
		romanNumerals.toRoman(0);
	}

	@Test
	public void one() {
		assertEquals("I", romanNumerals.toRoman(1));
	}

	@Test
	public void two() {
		assertEquals("II", romanNumerals.toRoman(2));
	}

	@Test
	public void three() {
		assertEquals("III", romanNumerals.toRoman(3));
	}

	@Test
	public void four() {
		assertEquals("IV", romanNumerals.toRoman(4));
	}

	@Test
	public void five() {
		assertEquals("V", romanNumerals.toRoman(5));
	}

	@Test
	public void twohundredninetynine() {
		assertEquals("CCXCIX", romanNumerals.toRoman(299));
	}

	// @Test
	// public void twohundredninetynine() {
	// assertEquals("CCXCIX", romanNumerals.toRoman(50));
	// }
}
